@use "../mixins";

.ingredients {
  &__title {
    font-family: var(--font-display);
    font-size: 1.8rem;
    font-style: italic;
    line-height: 1.33;
    margin-bottom: 2vw;

    @include mixins.respond-to-small-screen {
      font-size: 1.8rem;
      margin-bottom: 6.4vw;
    }
  }

  &__list {
    display: flex;
    flex-direction: column;
    gap: 0.833vw;

    @include mixins.respond-to-small-screen {
      gap: 3.5vw;
    }
  }

  &__item {
    display: flex;
    gap: 1.2vw;
    align-items: baseline;
    line-height: 1.5;

    @include mixins.respond-to-small-screen {
      gap: 2.4vw;
      align-items: flex-start;
      line-height: 1.75;
    }
  }

  &__checkbox {
    border: 0.1rem solid var(--color-gray-dark);
    border-radius: 0.4rem;
    width: 2.1rem;
    height: 2.1rem;
    flex: 0 0 auto;

    &:checked {
      display: grid;
      place-content: center;
    }

    &::before {
      content: "";
      width: 1.2rem;
      height: 1.2rem;
      transform: scale(0);
      transition: transform 120ms ease-in-out;
      box-shadow: inset 1em 1em currentcolor;
      background-color: canvastext;
      transform-origin: bottom left;
      clip-path: polygon(14% 44%, 0 65%, 50% 100%, 100% 16%, 80% 0%, 43% 62%);
    }

    &:checked::before {
      transform: scale(1);
    }

    &:focus-visible {
      outline: 0.2rem solid var(--color-gray-dark);
      outline-offset: 0.2rem;
    }
  }

  &__label {
    @include mixins.respond-to-small-screen {
      font-size: 1.4rem;
    }
  }
}
